/**
 *
 * @param {App.Entity.SlaveState} slave
 * @param {"oldAge"|"overdosed"|"lowHealth"} deathType
 */
globalThis.planDeath = function(slave, deathType) {
	V.slaveDeath.set(slave.ID, deathType);
};

App.Events.SEDeath = class SEDeath extends App.Events.BaseEvent {
	constructor(actors, params) {
		super(actors, params);
	}

	/** Custom casting: interpret V.slaveDeath as the actor collection for this event (do not use this.actors). */
	castActors() {
		return V.slaveDeath.size > 0;
	}

	execute(node) {
		const artRenderer = V.seeImages && V.seeReportImages ? new App.Art.SlaveArtBatch(V.slaveDeath.keys(), 0, 0) : null;
		if (artRenderer) {
			node.append(artRenderer.writePreamble());
		}

		for (const [id, deathType] of V.slaveDeath) {
			const deceased = getSlave(id);
			if (deceased) {
				App.UI.DOM.appendNewElement("p", node, death(deceased, deathType));
				node.append(sectionBreak());
				removeSlave(deceased);
			}
		}

		V.slaveDeath = new Map();

		function sectionBreak() {
			const hr = document.createElement("hr");
			hr.style.margin = "0";
			return hr;
		}

		/**
		 *
		 * @param {App.Entity.SlaveState} slave
		 * @param {"oldAge"|"overdosed"|"lowHealth"} deathType
		 */
		function death(slave, deathType) {
			const el = new DocumentFragment();
			const r = [];
			const {
				He, His,
				he, his
			} = getPronouns(slave);
			if (artRenderer) {
				App.UI.DOM.appendNewElement("div", el, artRenderer.render(slave), ["imageRef", "tinyImg"]);
			}

			switch (deathType) {
				case "oldAge": {
					if (slave.assignment === Job.ARCADE) {
						r.push(`You are notified by ${V.arcadeName} staff that one of the cabinets has broken down and will need to be replaced. It would seem <span class="pink bold">${slave.slaveName},</span> the fucktoy encased in it, died`);
						if (slave.physicalAge >= 70) {
							r.push(`naturally of old age despite`);
						} else {
							r.push(`suddenly, unrelated to`);
						}
						r.push(`${his} living conditions. ${He} was a good unit; logs show ${he} was taking dick up until the very end.`);
					} else if (slave.assignment === Job.DAIRY && V.dairyRestraintsSetting > 1) {
						r.push(`You are notified by ${V.dairyName} staff that one of the occupied milkers has ceased producing. Upon inspection, it would seem <span class="pink bold">${slave.slaveName},</span> the cow restrained in it, died`);
						if (slave.physicalAge >= 70) {
							r.push(`naturally of old age despite`);
						} else {
							r.push(`suddenly, unrelated to`);
						}
						r.push(`${his} living conditions. ${He} was a good cow; ${he} gave milk up until ${his} death.`);
					} else if (slave.fuckdoll > 0) {
						r.push(`One of your Fuckdolls' monitoring systems alerts you that the slave contained within has died. It would seem <span class="pink bold">${slave.slaveName}</span> has died`);
						if (slave.physicalAge >= 70) {
							r.push(`naturally of old age despite`);
						} else {
							r.push(`suddenly, unrelated to`);
						}
						r.push(`${his} living conditions. Thankfully the suit notifies its owner of such things; especially with the rumors of earlier models and necrophilia you hear occasionally.`);
					} else {
						r.push(`<span class="pink bold">${slave.slaveName}</span> failed to report in for a routine inspection, something that rarely occurs under your watch. It doesn't take long to track down the wayward slave.`);
						const deathSeed = random(1, 100);
						if (deathSeed > 75) {
							r.push(`${He} is found dead in ${his} bed, having died sometime during the previous night.`);
						} else if (deathSeed > 50) {
							r.push(`${He} is found dead in a stairwell, having had a heart attack while trying to climb it.`);
						} else if (deathSeed > 25) {
							r.push(`${He} is found dead in the showers, having slipped sometime earlier.`);
						} else {
							if (App.Utils.hasNonassignmentSex(slave)) {
								r.push(`${He} is found dead in the bed of another slave, having died during intercourse. ${His} lover is not taking it well.`);
							} else {
								r.push(`${He} is found dead in the cafeteria, having died during breakfast; ${he} ruined the day for a number of your slaves.`);
							}
						}
						r.push(`${slave.slaveName} died at the age of ${slave.actualAge};`);
						if (slave.actualAge < 10) {
							r.push(`${he} lived a tragically short life.`);
						} else if (slave.actualAge < 20) {
							r.push(`${he} died far too young.`);
						} else if (slave.actualAge < 30) {
							r.push(`${he} died in what would be a sex slave's prime.`);
						} else if (slave.actualAge < 50) {
							r.push(`${he} died in ${his} prime.`);
						} else if (slave.actualAge < 65) {
							r.push(`${he} lived a fair life, good or bad.`);
						} else if (slave.actualAge < 90) {
							r.push(`${he} lived a long life and experienced much during it.`);
						} else {
							r.push(`${he} lived a very long life that few get to see.`);
						}
					}
					break;
				}

				case "overdosed": {
					if (slave.assignment === Job.ARCADE) {
						r.push(`You are notified by ${V.arcadeName} staff that one of the cabinets has broken down and will need to be replaced. It would seem <span class="pink bold">${slave.slaveName},</span> the fucktoy encased in it, died of an aphrodisiac overdose from the constant aphrodisiac injections. ${He} was a good unit; logs show ${he} was taking dick up until the very end.`);
					} else if (slave.assignment === Job.DAIRY && V.dairyRestraintsSetting > 1) {
						r.push(`You are notified by ${V.dairyName} staff that one of the occupied milkers has ceased producing. Upon inspection, it would seem <span class="pink bold">${slave.slaveName},</span> the cow restrained in it, died of an aphrodisiac overdose. How ${he} managed to get them is unknown, but ${he} was a good cow; ${he} gave milk up until ${his} death.`);
					} else if (slave.fuckdoll > 0) {
						r.push(`One of your Fuckdolls' monitoring systems alerts you that the slave contained within has died. It would seem <span class="pink bold">${slave.slaveName}</span> has died of an aphrodisiac overdose. Thankfully the suit notifies its owner of such things; especially with the rumors of earlier models and necrophilia you hear occasionally. It does little to deal with the resulting mess of the orgasm ${he} died during, however.`);
					} else {
						r.push(`<span class="pink bold">${slave.slaveName}</span> failed to report in for a routine inspection, something that rarely occurs under your watch. It doesn't take long to track down the wayward slave.`);
						r.push(`${He} is found dead in ${his} bed, having died sometime earlier. Judging by the mess and the expression on ${his} face, ${he} died of a heart attack during a particularly intense orgasm bought about by the massive amount of aphrodisiacs in ${his} system. ${slave.slaveName} died at the age of ${slave.actualAge};`);
						if (slave.actualAge < 10) {
							r.push(`${he} lived a tragically short life.`);
						} else if (slave.actualAge < 20) {
							r.push(`${he} died far too young.`);
						} else if (slave.actualAge < 30) {
							r.push(`${he} died in what would be a sex slave's prime.`);
						} else if (slave.actualAge < 50) {
							r.push(`${he} died in ${his} prime.`);
						} else if (slave.actualAge < 65) {
							r.push(`${he} lived a fair life, good or bad.`);
						} else if (slave.actualAge < 90) {
							r.push(`${he} lived a long life and experienced much during it.`);
						} else {
							r.push(`${he} lived a very long life that few get to see.`);
						}
					}
					break;
				}

				case "lowHealth": {
					if (slave.assignment === Job.ARCADE) {
						r.push(`You are notified by ${V.arcadeName} staff that one of the cabinets has broken down and will need to be replaced. It would seem <span class="pink bold">${slave.slaveName},</span> the fucktoy encased in it, died to poor health caused by ${his} living conditions. ${He} was a good unit; logs show ${he} was taking dick up until the very end.`);
					} else if (slave.assignment === Job.DAIRY && V.dairyRestraintsSetting > 1) {
						r.push(`You are notified by ${V.dairyName} staff that one of the occupied milkers has ceased producing. Upon inspection, it would seem <span class="pink bold">${slave.slaveName},</span> the cow restrained in it, died to poor health caused by ${his} living conditions. ${He} was a good cow; ${he} gave milk up until ${his} death.`);
					} else if (slave.fuckdoll > 0) {
						r.push(`One of your Fuckdolls' monitoring systems alerts you that the slave contained within has died. It would seem <span class="pink bold">${slave.slaveName}</span> has died of general poor health. Thankfully the suit notifies its owner of such things; especially with the rumors of earlier models and necrophilia you hear occasionally. Clean up is easy enough, however.`);
					} else {
						r.push(`<span class="pink bold">${slave.slaveName}</span> failed to report in for a routine inspection, something that rarely occurs under your watch. It doesn't take long to track down the wayward slave.`);
						r.push(`${He} is found dead in ${his} bed, having died sometime during the night. ${He} has been in very poor health lately, so you knew this was a possibility. ${slave.slaveName} died at the age of ${slave.actualAge};`);
						if (slave.actualAge < 10) {
							r.push(`${he} lived a tragically short life.`);
						} else if (slave.actualAge < 20) {
							r.push(`${he} died far too young.`);
						} else if (slave.actualAge < 30) {
							r.push(`${he} died in what would be a sex slave's prime.`);
						} else if (slave.actualAge < 50) {
							r.push(`${he} died in ${his} prime.`);
						} else if (slave.actualAge < 65) {
							r.push(`${he} lived a fair life, good or bad.`);
						} else if (slave.actualAge < 90) {
							r.push(`${he} lived a long life and experienced much during it.`);
						} else {
							r.push(`${he} lived a very long life that few get to see.`);
						}
						if (V.arcologies[0].FSPaternalist !== "unset" && slave.actualAge < 75) {
							r.push(`Allowing a slave to die under your care <span class="red">severely damages</span> your image as a caring slaveowner and <span class="red">calls into question</span> your paternalistic resolve.`);
							FutureSocieties.Change("Paternalist", -10);
						}
					}
					break;
				}
			}
			App.Events.addNode(el, r);

			return el;
		}
	}
};
