/**
 * Sends a child to the Incubator if it has room
 * @param {App.Entity.SlaveState} child
 */
App.Facilities.Incubator.newChild = function(child) {
	let fullAdapt;
	child.growTime = Math.trunc(V.targetAge * 52);
	child.incubatorPregAdaptationPower = V.incubator.setting.pregAdaptationPower;
	if (V.incubator.setting.pregAdaptationPower === 1) {
		fullAdapt = 45000 / 2000;	//22.5
	} else if (V.incubator.setting.pregAdaptationPower === 2) {
		fullAdapt = 100000 / 2000;	//50
	} else if (V.incubator.setting.pregAdaptationPower === 3) {
		fullAdapt = 150000 / 2000;	//75
	} else {
		fullAdapt = 15000 / 2000;	//7.5
	}
	child.incubatorPregAdaptationInWeek = Math.max(((fullAdapt - child.pregAdaptation) / child.growTime), 0);
	V.incubator.tanks.push(child);
};

App.Facilities.Incubator.init = function(state) {
	if (state === 'base') {
		return V.incubator = {capacity: 0, tanks: []};
	}

	V.incubator = {
		capacity: 1,
		tanks: [],
		name: "the Incubator",
		organs: [],
		readySlaves: 0,
		upgrade: {
			speed: 5,
			weight: 0,
			muscles: 0,
			growthStims: 0,
			reproduction: 0,
			organs: 0,
			pregAdaptation: 0,
		},
		setting: {
			imprint: "trust",
			weight: 0,
			muscles: 0,
			growthStims: 0,
			reproduction: 0,
			bulkRelease: 0,
			pregAdaptation: 0,
			pregAdaptationPower: 0,
		},
	};
};
