App.Facilities.Pit.workaround = function() {
	const f = new DocumentFragment();

	// Warning:
	// In this passage the V.pit.slavesFighting array is constructed. This means that during this passage the length of
	// the array cannot be assumed to be 2. Once leaving this passage it has to be ensured that V.pit.slavesFighting is
	// in a valid state first.
	if (V.pit.slavesFighting === null) {
		// @ts-ignore
		V.pit.slavesFighting = [];
	}

	V.passageSwitchHandler = passageHandler;

	const slave1 = getSlave(V.pit.slavesFighting[0]);
	const slave2 = getSlave(V.pit.slavesFighting[1]);

	f.append(
		App.UI.DOM.makeElement("h1", `Slaves Fighting`),
		App.UI.DOM.makeElement("div", V.pit.slavesFighting.length > 1
			? `${slave1.slaveName} is fighting ${slave2.slaveName} this week.`
			: `Choose two slaves to fight.`),
		App.UI.DOM.makeElement("h2", `Choose slaves`, ['margin-top']),
	);

	for (const slave of V.slaves) {
		if (V.pit.slavesFighting.includes(slave.ID)) {
			App.UI.DOM.appendNewElement("div", f, SlaveFullName(slave), ['indent']);
		} else {
			App.UI.DOM.appendNewElement("div", f, App.UI.DOM.link(SlaveFullName(slave), () => {
				if (V.pit.slavesFighting.length > 1) {
					V.pit.slavesFighting.shift();
				}

				V.pit.slavesFighting.push(slave.ID);

				V.passageSwitchHandler = () => { };
				App.UI.reload();
				V.passageSwitchHandler = passageHandler;
			}), ['indent']);
		}
	}

	function passageHandler() {
		if (V.pit.slavesFighting.length !== 2) {
			V.pit.slavesFighting = null;
		}
	}

	return f;
};
