/** @param {App.Entity.SlaveState} sacrifice */
App.UI.SlaveInteract.aztecSlaveSacrificeLife = function(sacrifice) {
	const frag = new DocumentFragment();
	const {He, his} = getPronouns(sacrifice);
	const activeSlaveRepSacrifice = repGainSacrifice(sacrifice, V.arcologies[0]);
	let r = [];
	r.push(`${sacrifice.slaveName} dies screaming as ${his} still beating heart is ripped out of ${his} body.`);
	if (activeSlaveRepSacrifice <= 0) {
		r.push(`Nobody cares.`);
	} else if (activeSlaveRepSacrifice < 10) {
		r.push(`The few spectators are suitably impressed.`);
	} else if (activeSlaveRepSacrifice < 100) {
		r.push(`The small crowd appreciates your devotion to the Aztec culture.`);
	} else {
		r.push(`The crowd cheers to the bloody spectacle.`);
	}
	if (V.slaves.length > 0) {
		r.push(`On the other hand, your remaining ${asPlural("slave is", "slaves are")} suitably <span class="trust dec">terrified.</span>`);
		for (const slave of V.slaves.filter((s) => !isVegetable(s))) {
			slave.trust -= 5 + random(5);
		}
	}

	repX(activeSlaveRepSacrifice, "futureSocieties");
	if (V.arcologies[0].FSAztecRevivalist !== "unset" && V.arcologies[0].FSAztecRevivalist < 100) {
		V.arcologies[0].FSAztecRevivalist++;
	}
	V.slavesSacrificedThisWeek = (V.slavesSacrificedThisWeek || 0) + 1;
	App.Events.addParagraph(frag, r);

	if (isShelterSlave(sacrifice)) {
		App.Events.addParagraph(frag, [`When the Slave Shelter discovers that you've sacrificed a slave they placed with you for safekeeping, they are understandably <span class="red">horrified</span>.`]);
		V.shelterAbuse += 2;
	}
	removeSlave(sacrifice);

	return frag;
};
